Subject: [DMVR] Upcoming Event at MidAmerica Motorplex

From: "Will & Kelley Huxtable" <[email-masked]>
Date: Sat, 16 Apr 2005 14:53:08 -0500

Yes, I'm recruiting ... :o)

If you're interested in racing, and have a few hours to spare, I could use a some help in Registration. The hours are pretty good (especially if you're a morning person!), and the pay is standard fare for an SCCA event ... discount lunch coupons and a party including food and adult beverages on Saturday night. I think the race chairs have even rounded up a few door prizes - maybe you'll get a new door! <g>

Registration hours are:

5:00 PM to 9:00 PM Friday
7:00 AM to 2:00 PM Saturday
7:00 AM to Noon Sunday

Duties include checking credentials, making photo ids, and witnessing waiver signings. You will not be required to be present for all the time Registration is open. If you haven't worked before, don't fear, we do on-the-job training, and there will be an experienced person available to answer any and all questions.

There's generally a bunch of folks who come in on Friday night, and then several between 7:00 AM and 10:00 AM on Saturday, with a few more coming in on Sunday morning. If you could help out during any of those times, that would be fantastic!

Qualifications include a friendly personality - you're one of the first people the participant meets when they arrive at the track. We want the first impressions to be favorable!

Rewards include meeting many new friends and having the afternoons available to watch racing or just roam the paddock and talk to folks and look at the cars up close!

If you're interested - either drop me an e-mail, or just show up at the track.

Thanks in advance,
Kelley Huxtable
Chief of Registration - MVRG

PS - If you're a size Large, I've got a gently used white polo with the DMVR logo that you can have!